[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TCustomLazComponentQueue.ReadComponentSize

Reads the component size and the length for the size value.

## Declaration

Source position: lresources.pp line 418

`protected function TCustomLazComponentQueue.ReadComponentSize(`
`out ComponentSize: Int64;`
`out SizeLength: Int64`
`):Boolean; virtual;`

## Arguments

`ComponentSize` |  | Size of the component.
`SizeLength` |  | Number of bytes needed for the component size value.

## Function result

False if there is not enough storage in the queue for the component size.